db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kim Haase <Camilla.Ha...@Sun.COM>
Subject Re: Documentation build error
Date Mon, 09 Feb 2009 18:01:09 GMT
Yes, I've been using JDK 6, actually -- and I get all the FOP 
warnings/errors too (various JIRA issues have been filed on them) but 
the docs do build.

Kim

On 02/09/09 10:42, Rick Hillegas wrote:
> Bryan Pendleton wrote:
>>> /home2/bpendleton/src/derby/docs/trunk/DITA-OT1.1.2.1/pretargets.xml:136: 
>>> javax.xml.transform.TransformerException: java.lang.NullPointerException
>>
>> I think the problem was that I was running JDK 1.5, and the documentation
>> build appears to ONLY work with JDK 1.4. After I fully reset my 
>> environment
>> to JDK 1.4 (both PATH and JAVA_HOME), the build seems to run 
>> successfully.
>>
>> This seems like a bit of a problem, though, as JDK 1.4 is starting to get
>> pretty old. Do we need to be planning to enable documentation builds 
>> using
>> a more recent JDK?
>>
>> thanks,
>>
>> bryan
>>
> Hi Bryan,
> 
> For what it's worth, I have just successfully built the docs using a 
> Java 5 environment. I say "successfully" because
> 
> 1) after reams of severe FOP warnings, ant said cheerfully "BUILD 
> SUCCEEDED"
> 
> 2) I looked at the pdf, mono-html, and frame-based-html versions of the 
> Reference Guide and they looked ok to me
> 
> Regards,
> -Rick

Mime
View raw message